import request from '@/utils/request'

// 查询维修站点-站点列表
export function listSite(query) {
  return request({
    url: '/business/site/list',
    method: 'get',
    params: query
  })
}

// 查询维修站点-站点详细
export function getSite(id) {
  return request({
    url: '/business/site/' + id,
    method: 'get'
  })
}

// 新增维修站点-站点
export function addSite(data) {
  return request({
    url: '/business/site',
    method: 'post',
    data: data
  })
}

// 修改维修站点-站点
export function updateSite(data) {
  return request({
    url: '/business/site',
    method: 'put',
    data: data
  })
}

// 删除维修站点-站点
export function delSite(id) {
  return request({
    url: '/business/site/' + id,
    method: 'delete'
  })
}
